Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode, JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode.Builder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 1;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 1;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 1;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### getTimerInstanceIdList

    List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 1;`

### getTimerInstanceIdCount

    int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 1;`

### getTimerInstanceId

    long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 1;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.